


Summary:        Libraries and daemons to implement searching in Akonadi
Name:           akonadi-search
Version: 		18.08.2
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires: cmake 
BuildRequires: libboost-devel
BuildRequires: libical-devel 
BuildRequires: libkcodecs-devel 
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkf5akonadi-devel 
BuildRequires: libkf5akonadimime-devel 
BuildRequires: libkf5auth-devel 
BuildRequires: libkf5calendarcore-devel 
BuildRequires: libkf5completion-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5i18n-devel 
BuildRequires: libkf5kcontacts-devel 
BuildRequires: libkf5kdelibs4support-devel 
BuildRequires: libkf5krunner-devel 
BuildRequires: libkf5mime-devel 
BuildRequires: libkf5plasma-devel 
BuildRequires: libkf5service-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5widgets-devel 
BuildRequires: libxapian-devel 
BuildRequires: qtbase5-common-devel 

%description
Libraries and daemons to implement searching in Akonadi.

%files
%_kf5_bindir/akonadi_indexing_agent
%_qt5_plugindir/akonadi/*.so
%_sysconfdir/xdg/akonadi-search.categories
%_kf5_datadir/akonadi/agents/akonadiindexingagent.desktop
%_qt5_plugindir/*.so
%_kf5_services/*.desktop
%_sysconfdir/xdg/akonadi-search.renamecategories
%_kf5_datadir/locale
#--------------------------------------------------------------------

%define kf5akonadisearchcore_major 5
%define libkf5akonadisearchcore %mklibname kf5akonadisearchcore %{kf5akonadisearchcore_major}

%package -n %libkf5akonadisearchcore
Summary:      Libraries and daemons to implement searching in Akonadi
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchcore
Libraries and daemons to implement searching in Akonadi.

%files -n %libkf5akonadisearchcore
%_kf5_libdir/libKF5AkonadiSearchCore.so.%{kf5akonadisearchcore_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchpim_major 5
%define libkf5akonadisearchpim %mklibname kf5akonadisearchpim %{kf5akonadisearchpim_major}

%package -n %libkf5akonadisearchpim
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchpim
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchpim
%_kf5_libdir/libKF5AkonadiSearchPIM.so.%{kf5akonadisearchpim_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchxapian_major 5
%define libkf5akonadisearchxapian %mklibname kf5akonadisearchxapian %{kf5akonadisearchxapian_major}

%package -n %libkf5akonadisearchxapian
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchxapian
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchxapian
%_kf5_libdir/libKF5AkonadiSearchXapian.so.%{kf5akonadisearchxapian_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchdebug_major 5
%define libkf5akonadisearchdebug %mklibname kf5akonadisearchdebug %{kf5akonadisearchdebug_major}

%package -n %libkf5akonadisearchdebug
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchdebug
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchdebug
%_kf5_libdir/libKF5AkonadiSearchDebug.so.%{kf5akonadisearchdebug_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchcore_devel %mklibname kf5akonadisearch -d

%package -n %kf5akonadisearchcore_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5akonadisearchcore = %version-%release
Requires:       %libkf5akonadisearchpim = %version-%release
Requires:       %libkf5akonadisearchxapian = %version-%release
Requires:       %libkf5akonadisearchdebug = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5akonadisearchcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5akonadisearchcore_devel
%_kf5_includedir/AkonadiSearch
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiSearch

#--------------------------------------------------------------------

%prep
%setup -q 


%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --all %{name}5



%changelog
* Tue Oct 30 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
